\section{Fibre Products}
\begin{defn}
  Let $f\mc X\to S$ and $g\mc Y\to S$ be morphisms of schemes.
  A \emph{fibre product of $X$ and $Y$} over $S$ consits of a scheme $X\fip{S}Y$ and morphisms of schemes $p\mc X\fip{S}Y\to X$, $q\mc X\fip{S}Y\to Y$ such that the diagram
  \[
  \begin{tikzcd}
    X\fip{S}Y\ar{r}[above]{q}\ar{d}[left]{p}&
    Y\ar{d}[right]{g}\\
    X\ar{r}[below]{f}
    &
    S
  \end{tikzcd}
  \]
  commutes and that $X\fip{S}$ is terminal in the following sense: For every other pair of morphisms of schemes $p_2\mc Z\to X$, $q_2\mc Z\to Y$ such that $gq_2=fp_2$ there is a unique morphism of schemes $h\mc Z\to X\fip{S}Y$ such that the diagram
  \[
  \begin{tikzcd}
    Z
    \ar[bend right = 30]{rdd}[below left]{p_2}
    \ar[bend left = 30]{drr}[above right]{q_2}
    \ar[dashed]{dr}[above right]{\exists ! h}
    &
    &
    &
    \\
    &
    X\fip{S}Y\ar{r}[above]{q}\ar{d}[left]{p}\fipsym{dr}&
    Y\ar{d}[right]{g}\\
    &
    X\ar{r}[below]{f}
    &
    S
  \end{tikzcd}
  \]
  commutes. We denote a fibre product by the little $\times$ in the middle of the square.
\end{defn}

\begin{example}
  The notion of a fibre product makes sense in any category. In the category of sets it is given by the set
  \[
  X\fip{S}Y = \lset (x,y)\ssp f(x)=g(y)\rset
  \]
\end{example}
\begin{prop}
  \leavevmode
  \begin{enumerate}
    \item If $X\fip{S}Y$ exists, then it is unique up to unique isomorpism.
    \item If $X\fip{S}Y$ exists, then there is a natural isomorphism $X\fip{S}Y\cong Y\fip{S}X$.
    \item If fibre products exist in general, there for maps $X\to S$, $Y\to S$, $Y\to T$ and $Z\to T$, there is a natural isomorphism
    \[
    \left(X\fip{S}Y\right)\fip{T}Z \cong X\fip{S}\left(Y\fip{T}Z\right).
    \]
  \end{enumerate}
\end{prop}

\begin{prop}
  The category of schemes has all fibre products.
\end{prop}
